$(document).ready(function(){

	var logged_email;

	function validateEmail(email) {
		var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
		return re.test(email);
	}

	function checkNetwork(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/network_connection.php',
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				$('.networkmsg').text(data).fadeOut(1000);
		    },
		    error: function(data){
		        //if fails
		        console.log('Network Connection not available');
		        $('.networkmsg').fadeIn().text('Network Connection not available');
		    }
		});
	}

	function validate(){
		validate_flag = 1;
		$("form.form-survey input").removeClass('inp_error');
		$( "form.form-survey input" ).each(function( index ) {
			if($(this).attr('type') == 'text' && $(this).attr('name') == 'uname'){
				if($(this).val() != '' && $(this).val() != null){
					validate_flag = 0;
				}
				else{
					// $('.validation_error').text('Please fill Name.').fadeIn().fadeOut(2000);
					$(this).addClass('inp_error');
					validate_flag = 1;
					return false;
				}
			}
			else if($(this).attr('type') == 'email' && $(this).attr('name') == 'email'){
				if($(this).val() != '' && $(this).val() != null && validateEmail( $(this).val() ) == true ){
					validate_flag = 0;
				}
				else{
					// $('.validation_error').text('Please fill Email properly.').fadeIn().fadeOut(2000);
					$(this).addClass('inp_error');
					validate_flag = 1;
					return false;
				}
			}
			else if($(this).attr('type') == 'tel' && $(this).attr('name') == 'phone'){
				if($(this).val() != '' && $(this).val() != null && isNaN( $(this).val() ) == false  && $(this).val().length == 10 ){
					validate_flag = 0;
				}
				else{
					// $('.validation_error').text('Please Phone no. Properly').fadeIn().fadeOut(2000);
					$(this).addClass('inp_error');
					validate_flag = 1;
					return false;
				}
			}
			else if($(this).attr('type') == 'text' && $(this).attr('name') == 'pan'){
				if($(this).val() != ''){
					if($(this).val() != null && $(this).val().length == 10 ){
						validate_flag = 0;
					}
					else{
						// $('.validation_error').text('Please Enter PAN no. Properly').fadeIn().fadeOut(2000);
						$(this).addClass('inp_error');
						validate_flag = 1;
						return false;
					}
				}
			}
			else if($(this).attr('type') == 'number' && $(this).attr('name') == 'adhar'){
				if($(this).val() != ''){
					if($(this).val() != null && isNaN( $(this).val() ) == false && $(this).val().length == 12 ){
						validate_flag = 0;
					}
					else{
						// $('.validation_error').text('Please fill Adhhaar Id Properly').fadeIn().fadeOut(2000);
						$(this).addClass('inp_error');
						validate_flag = 1;
						return false;
					}
				}
			}
		});
		if(validate_flag == 1){
			return false;
		}
		else{
			return true;
		}
	}

	function form_ajax_survey(){
		$( "form.form-survey input" ).each(function( index ) {
			if($(this).attr('type') == 'text'){
				// formData[$(this).attr('name')] = $(this).val();
				// formData.append( $(this).attr('name'), $(this).val());
			}
			// else if($(this).attr('type') == 'file'){
			// 	var input_name = $(this).attr('name');
			// 	if($('#' + input_name + '-img').attr('src') != ''){
			// 		// file_data.push(input_name + '@@' + $('#' + input_name + '-img').attr('input_type') + '@@' + $('#' + input_name + '-spn').html());
			// 		file_data.push( $('#' + input_name + '-spn').html() );
			// 	}
			// }
		});
		// insertMeta();
		var data = {
		        name : $('#name').val(),
		        address : $("#address").val(),
		        email : $("#email").val(),
		        pan : $("#pan").val(),
		        phone : '+91' + $("#phone").val(),
		        aadhaar : $("#adhar").val(),
		        grossincome : $("#grossincome").val(),
		        netincome : $("#netincome").val(),
		        other : $("#othsrc").val(),
		        job : $("#jobtitle").val(),
		        organization : $("#organization").val(),
		        dl : $('#dl').val(),
		        eleccons : $('#elecconsno').val(),
		        // datauri : file_data, 
		    };
		formData_json = JSON.stringify(data);
		console.log( formData_json );
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_service_profile.php',
		    data        : { 'appdata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				$('.loading').css('display','none');
		        console.log(data);
		        $('.loadingsector').fadeOut();
		        $('.btnwrapper .result-msg').text(data).fadeIn().fadeOut(2000,function(){
		        	$('#exampleModal').modal('hide');
		        });
		    },
		    error: function(data){
		    	$('.loadingsector').fadeOut();
		        //if fails
		        // $('.validation_error').html(data);
		    }
		});
	}

	function profile_get_name(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_email_name.php',
		    data        : { 'email' : logged_email},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				$("#name").val(data);
				// setCookie("name", data, 1000);
		    },
		    error: function(data){

		    }
		});
	}

	function profile_check_ajax(){
		profile_get_name();
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_profile_check.php',
		    data        : { 'email' : logged_email},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				if(data == 'Profile Created'){
					//do nothing
				}
				else{
					$('.modal-profile-create').modal('open');
					$('#exampleModal').modal({
                        backdrop: 'static',
                        keyboard: false, 
                        show: true
	                });
	                $('#email').val(logged_email);
					$('.profile-form').fadeIn(0);
				}
		    },
		    error: function(data){
		        // $('.validation_error').text('Unable to login. Please try again').fadeIn().fadeOut(2000);
		    }
		});
	}

	function setCookie(cname,cvalue,exdays) {
	    var d = new Date();
	    d.setTime(d.getTime() + (exdays*24*60*60*1000));
	    var expires = "expires=" + d.toGMTString();
	    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}

	function getCookie(cname) {
	    var name = cname + "=";
	    var ca = document.cookie.split(';');
	    for(var i = 0; i < ca.length; i++) {
	        var c = ca[i];
	        while (c.charAt(0) == ' ') {
	            c = c.substring(1);
	        }
	        if (c.indexOf(name) == 0) {
	            return c.substring(name.length, c.length);
	        }
	    }
	    return "";
	}

	function destroyCookie(){
		document.cookie = "email=; expires=Thu, 01 Jan 1970 00:00:00 UTC";
		setCookie("email", 'null', 1000);
		location.href = "index.html";
	}

	function checkCookie() {
	    var user=getCookie("email");
	    if(user == '' || user == 'null'){
	    	setCookie("email", 'null', 1000);
	    	location.href = "index.html";
	    }
	    else if (user != "" && user != 'null') {
	        logged_email = getCookie("email");
	        profile_check_ajax();
	    }
	}

	setInterval(checkNetwork,5000);

	checkCookie();

	$('.loader').fadeOut(2000);

	$('.option-menu').fadeIn(0);

	$('#submit_survey').click(function(event){
		event.preventDefault();
		$('.loadingsector').fadeIn();
		var validated = validate();
		if(validated == true){
			// $('.loading').css('display','block');
			form_ajax_survey();
		}
		else{
			//check form
			$('.loadingsector').fadeOut();
		}
	});

	$('.logout').click(function(){
		destroyCookie();
	});

	var inputQuantity = [];
	$(function() {
	    $(".numbervalidation").each(function(i) {
		inputQuantity[i] = this.defaultValue;
		$(this).data("idx", i); // save this field's index to access later
	    });
	    $(".numbervalidation").on("keyup", function(e) {
		var $field = $(this),
		    val = this.value,
		    $thisIndex = parseInt($field.data("idx"), 10); // retrieve the index
		//        window.console && console.log($field.is(":invalid"));
		//  $field.is(":invalid") is for Safari, it must be the last to not error in IE8
		if (this.validity && this.validity.badInput || isNaN(val) || $field.is(":invalid")) {
		    this.value = inputQuantity[$thisIndex];
		    return;
		}
		if (val.length > Number($field.attr("maxlength"))) {
		    val = val.slice(0, 12);
		    $field.val(val);
		}
		inputQuantity[$thisIndex] = val;
	    });
	});

})
