$(document).ready(function(){

	// Global Variables
	var logged_email;

	function destroyCookie(){
		setCookie("email", 'null', 1000);
		location.href = "index.html";
	}

	function setCookie(cname,cvalue,exdays) {
	    var d = new Date();
	    d.setTime(d.getTime() + (exdays*24*60*60*1000));
	    var expires = "expires=" + d.toGMTString();
	    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}

	function getCookie(cname) {
	    var name = cname + "=";
	    var ca = document.cookie.split(';');
	    for(var i = 0; i < ca.length; i++) {
	        var c = ca[i];
	        while (c.charAt(0) == ' ') {
	            c = c.substring(1);
	        }
	        if (c.indexOf(name) == 0) {
	            return c.substring(name.length, c.length);
	        }
	    }
	    return "";
	}

	function checkCookie() {
	    var user=getCookie("email");
	    if(user == '' || user == 'null'){
	    	setCookie("email", 'null', 1000);
	    	location.href = "index.html";
	    }
	    else if (user != "" && user != 'null') {
	        logged_email = getCookie("email");
	    }
	}

	function validate(){
		validate_flag = 1;
		$("form.form-password input").removeClass('inp_error');
		if($('#newpass').val() != '' && $('#oldpass').val() != '' && $('#newpass').val() == $('#coonfpass').val()){
			validate_flag = 0;
		}
		else{
			$('#newpass').addClass('inp_error');
			validate_flag = 1;
			return false;
		}
		if(validate_flag == 1){
			return false;
		}
		else{
			return true;
		}
	}

	function checkNetwork(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/network_connection.php',
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				// console.log(data);
				$('.networkmsg').text(data).fadeOut(1000);
		    },
		    error: function(data){
		        //if fails
		        // console.log('Network Connection not available');
		        $('.networkmsg').fadeIn().text('Network Connection not available');
		    }
		});
	}

	function form_ajax_survey(){
		$('.validation_msg').fadeOut(0);
		var data = {
		        email : logged_email,
		        old_pass : $("#oldpass").val(),
		        new_pass : $("#newpass").val(),
		    };
		formData_json = JSON.stringify(data);
		console.log( formData_json );
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_service_password.php',
		    data        : { 'logindata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				$('.loading').css('display','none');
		        console.log(data);
		        $('.loadingsector').fadeOut();
		        $('.validation_msg').addClass('green_bg').text(data).fadeIn();
		    },
		    error: function(data){
		        //if fails
		        $('.loadingsector').fadeOut();
		        $('.validation_msg').addClass('red_bg').text(data).fadeIn();
		    }
		});
	}

	setInterval(checkNetwork,5000);

	checkCookie();

	$('.loader').fadeOut(2000);

	$('.password-form').fadeIn(0);

	$('.logout').click(function(){
		destroyCookie();
	});

	$('#submit_survey').click(function(event){
		event.preventDefault();
		$('.loadingsector').fadeIn();
		var validated = validate();
		console.log(validated);
		if(validated == true){
			form_ajax_survey();
		}
		else{
			//check form
			$('.loadingsector').fadeOut();
		}
		
	});
})
