$(document).ready(function(){

	var logged_email;

	function form_ajax_survey(){
		var insterested = '';
		if($('#insterest-checkbox').prop("checked") == true){
            insterested = 'yes';
        }
        else if($('#insterest-checkbox').prop("checked") == false){
            insterested = 'no';
        }
		var data = {
				email : logged_email,
		        interest : insterested,
		        // save : savings,
		        action : 'update'
		    };
		formData_json = JSON.stringify(data);
		// console.log( formData_json );
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_service_survey.php',
		    data        : { 'surveydata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				if(data == 'Success'){
					$('#calcmorepop').modal('hide');
				}
		    },
		    error: function(data){
		        //if fails
		    }
		});
	}

	function form_ajax_plancheck(){
		var data = {
				new_category: $("#plans-category-show option:selected").val(),
		        new_plan: $("#sub-plans-show option:selected").val(),
		    };
		formData_json = JSON.stringify(data);
		// console.log( formData_json );
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_service_plancheck.php',
		    data        : { 'surveydata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				var parsedJSON = JSON.parse(data);
				$('#planstable').show();
				$('#show_plan').text(parsedJSON[0].id);
				$('#show_name').text(parsedJSON[0].name);
				$('#show_category').text(parsedJSON[0].category);
				$('#show_ratings').text(parsedJSON[0].ratings);
				$('#show_power').text(parsedJSON[0].Power_Units);
				$('#show_elecmonth').text(parsedJSON[0].Monthly_Electricity_Bill);
				$('#show_sunmonth').text(parsedJSON[0].SunMax_Monthly_Bill);
				$('#show_monthsave').text(parsedJSON[0].Monthly_Saving_As_per_Sunmax);
				$('#show_yearsave').text(parsedJSON[0].Yearly_Saving_As_per_Sunmax);
				$('#show_25save').text(parsedJSON[0].Saving_after_25_Years);
		    },
		    error: function(data){
		        //if fails
		    }
		});
	}

	function form_ajax_get_all() {
    	var data_login = {
            email: logged_email,
        };
        formData_json = JSON.stringify(data_login);
        $.ajax({
            type: 'POST',
            url: 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/admin_all_bills.php',
            data: {
                'billdata': formData_json
            },
            dataType: 'json',
            // encode   : true
            success: function(data) {
                console.log(data);
				$.each(data, function( index, value ) {
					$("#datatable").append("<tr></tr>");
					$.each(value, function( key, equivalent ) {
						// console.log(typeof equivalent);
						if(key == 'user_email'){}
						else if(key == 'date'){
							$("#datatable tr").last().append("<td>" + equivalent + "</td>");
						}
						else{
							if(typeof equivalent == "string" && equivalent != ''){
								$("#datatable tr").last().append("<td>" + equivalent + "</td>");
							}
							else{
								$("#datatable tr").last().append("<td>-</td>");
							}
						}
					});
					console.log(value.paid);
					if(value.paid == 'Paid'){}
					else{
						$("#datatable tr").last().addClass('danger');
					}
				});
				// Datatables Ends
            },
            error: function(data) {
                console.log(data);
            }
        });
    }

	function form_ajax_get(callback){
		var data = {
				email : logged_email,
		        action: 'search'
		    };
		formData_json = JSON.stringify(data);
		console.log( formData_json );
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_service_survey.php',
		    data        : { 'surveydata' : formData_json},
		    dataType    : 'json',
		    // encode   : true
			success:function(data){
				if(data.usr_interest == 'yes'){
					$('#submit_survey').fadeOut(0);
				}
				else{

				}
				callback(data);
		    },
		    error: function(data){
		        //if fails
		    }
		});
	}

	function form_get_subs(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/admin_all_subscription.php',
		    dataType    : 'json',
		    // encode   : true
			success:function(data){
				$.each( data, function( index, value ){
				    // console.log(value);
				    $('#plans').append('<option value="'+value['id']+'">'+value['subscription_name']+'</option>');
				});
		    },
		    error: function(data){
		        //if fails
		    }
		});
	}

	function form_ajax_plan(sub_id){
		var user_data = {
				id : sub_id,

		    };
		formData_json = JSON.stringify(user_data);
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form//appmypower/class/sub_data.php',
		    data        : { 'subdata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				// console.log(data);
				var json = JSON.parse(data);
		        console.log(json);
		        // Appending Value to Table to #currentplan-table
				$('#current-Name td.value').text(json[0].name);
				$('#current-Category td.value').text(json[0].category);
				$('#current-Ratings td.value').text(json[0].ratings);
				$('#current-Monthly_Electricity_Bill td.value').text(json[0].Monthly_Electricity_Bill);
				$('#current-Monthly_Saving_As_per_Sunmax td.value').text(json[0].Monthly_Saving_As_per_Sunmax);
				$('#current-Power_Units td.value').text(json[0].Power_Units);
				$('#current-Saving_after_25_Years td.value').text(json[0].Saving_after_25_Years);
				$('#current-SunMax_Monthly_Bill td.value').text(json[0].SunMax_Monthly_Bill);
				$('#current-Yearly_Saving_As_per_Sunmax td.value').text(json[0].Yearly_Saving_As_per_Sunmax);

				$('#currentplan-smbx').append(json[0].name);
		    },
		    error: function(data){
		        $('.validation_error').text(data).fadeIn().fadeOut(2000);
		    }
		});
	}

	function form_ajax_meta(){
		var user_data = {
				email : logged_email,

		    };
		formData_json = JSON.stringify(user_data);
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form//appmypower/class/user_credentials.php',
		    data        : { 'userdata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				var json = JSON.parse(data);
		        // console.log(json);
		        $('#currentplan_id').val(json[0].subscription_id);
		        $('#startdate').val(json[0].user_sub_start_date);
		        $('#enddate').val(json[0].user_sub_start_end);
		        // $('#current_plan_name').val(json[0].subscription_name);
		        // Appending Value to Table to #currentplan-table
				// $('#current-name td.value').text(json[0].subscription_name);
				// $('#current-price td.value').text(json[0].price);
				// $('#current-duration td.value').text(json[0].duration);
				// $('#current-startdate td.value').text(json[0].user_sub_start_date);
				// $('#current-enddate td.value').text(json[0].user_sub_start_end);
				// $('#current-description td.value').text(json[0].description);
				// $('#current-fup td.value').text(json[0].fup);
				// $('#current-extra td.value').text(json[0].extra);
				form_ajax_plan(json[0].subscription_id);
		    },
		    error: function(data){
		        $('.validation_error').text(data).fadeIn().fadeOut(2000);
		    }
		});
	}

	function form_change_plan(){
		var data = {
				email : logged_email,
				existing: $('#currentplan_id').val(),
				existing_start: $('#startdate').val(),
				existing_end: $('#enddate').val(),
		        new_category: $("#plans-category option:selected").val(),
		        new_plan: $("#sub-plans option:selected").val(),
		    };
		formData_json = JSON.stringify(data);
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_service_plan_2.php',
		    data        : { 'appdata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				if(data == 'Subscription has been put into Review'){
					$('.resboxsub').text(data);
					$('#modal-changeplan').modal('hide');
				}
				return false;
		    },
		    error: function(data){
		        //if fails
		        return false;
		    }
		});
	}

	function form_ajax_contact(){
		var data = {
				email : logged_email,
				subject: $('#querysub').val(),
				message: $('#querymsg').val(),
		    };
		formData_json = JSON.stringify(data);
		if($('#querymsg').val() != ''){
			$.ajax({
			    type        : 'POST',
			    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/mail_admin.php',
			    data        : { 'maildata' : formData_json},
			    dataType    : 'text',
			    // encode   : true
				success:function(data){
					console.log(data);
					if(data == 'Message sent successfully'){
						$('.conform-resp').fadeIn(500).text(data).fadeOut(2000,function(){
							$('#modal-contact').modal('hide');
						});
					}
			    },
			    error: function(data){
			        //if fails
			    }
			});
			
		}
	}

	function calc(){
		var avg_cons = Math.floor( $('#avguitcon').val() );
		var per_rat = Math.floor( $('#perunirat').val() );
		if(avg_cons != '' && per_rat != ''){
		$('#montbill').val( avg_cons * per_rat );
			$('.outresult').fadeIn();
			var month_bill = Math.floor( $('#montbill').val() );
			$('#avguitcondis').val( avg_cons );
			var per_rat_calc =  per_rat - 1;
			$('#peruniratdis').val( per_rat_calc );
			var avg_cons_new = Math.floor( $('#avguitcondis').val() );
			var per_rat_new = Math.floor( $('#peruniratdis').val() );
			$('#montbilldis').val( avg_cons_new * per_rat_new );
			var month_bill_saving = Math.floor( $('#montbilldis').val() );
			$('#montsav').val( month_bill - month_bill_saving );
			$('#yearsav').val( (month_bill - month_bill_saving) * 12 );
		}
		else{
			$('.outresult').fadeOut();
		}
	}

	function checkNetwork(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/network_connection.php',
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				// console.log(data);
				$('.networkmsg').text(data).fadeOut(1000);
		    },
		    error: function(data){
		        //if fails
		        console.log('Network Connection not available');
		        $('.networkmsg').fadeIn().text('Network Connection not available');
		    }
		});
	}

	function destroyCookie(){
		setCookie("email", 'null', 1000);
		location.href = "index.html";
	}

	function setCookie(cname,cvalue,exdays) {
	    var d = new Date();
	    d.setTime(d.getTime() + (exdays*24*60*60*1000));
	    var expires = "expires=" + d.toGMTString();
	    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}

	function getCookie(cname) {
	    var name = cname + "=";
	    var ca = document.cookie.split(';');
	    for(var i = 0; i < ca.length; i++) {
	        var c = ca[i];
	        while (c.charAt(0) == ' ') {
	            c = c.substring(1);
	        }
	        if (c.indexOf(name) == 0) {
	            return c.substring(name.length, c.length);
	        }
	    }
	    return "";
	}

	function checkCookie() {
	    var user=getCookie("email");
	    if(user == '' || user == 'null'){
	    	setCookie("email", 'null', 1000);
	    	location.href = "index.html";
	    }
	    else if (user != "" && user != 'null') {
	        logged_email = getCookie("email");
	        form_ajax_get(function(datum){
				// console.log(datum);
				if(datum.usr_interest == 'yes'){
					$('#submit_survey').fadeOut(0);
				}
				else{
					$('#submit_survey').fadeIn(0);
				}
			});
	    }
	}

	setInterval(checkNetwork,5000);

	checkCookie();

	// form_get_subs();
	form_ajax_meta();
	form_ajax_get_all();

	$('.form-survey input').keypress(function(){
		calc();
	});

	$('.form-plan-select-show #submit-plan-show').click(function(e){
		e.preventDefault();
		form_ajax_plancheck();
	});

	$('.form-survey input').keydown(function(){
		calc();
	});

	$('.form-survey input').keyup(function(){
		calc();
	});

	$('.loader').fadeOut(2000);

	$('.calculator-form').fadeIn(2000);

	$('#submit_survey').click(function(){
		$('#calcmorepop').modal('show');
	});

	$('#next-btn').click(function(){
		$('.step-1').fadeOut(0);
		$('.step-2').fadeIn(0);
	});

	$('#submit_btn').click(function(){
		form_ajax_survey();
	});

	$('#consb-btn').click(function(e){
		e.preventDefault();
		form_ajax_contact();
	});

	$('#submit-plan-change').click(function(e){
		e.preventDefault();
		form_change_plan();
	});

	$('.logout').click(function(){
		destroyCookie();
	});

	$("[name='save-checkbox'], [name='insterest-checkbox']").bootstrapSwitch();

	$('#modal-contact').on('show.bs.modal', function (event) {
		var button = $(event.relatedTarget);
		var recipient = button.data('subject');
		var modal = $(this);
		// modal.find('.modal-title').text('New message to ' + recipient);
		var subject;
		if(recipient == 'outage'){
			subject = 'Report an Outage';
		}else if(recipient == 'emergency'){
			subject = 'Report Emergency';
		}
		else if(recipient == 'query'){
			subject = 'Billing and Form Query';
		}
		modal.find('.modal-body #querysub').val(subject);
	})

});