$(document).ready(function(){

	function getParameterByName(name, url) {
	    if (!url) {
	      url = window.location.href;
	    }
	    name = name.replace(/[\[\]]/g, "\\$&");
	    var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
	        results = regex.exec(url);
	    if (!results) return null;
	    if (!results[2]) return '';
	    return decodeURIComponent(results[2].replace(/\+/g, " "));
	}

	function checkNetwork(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/network_connection.php',
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				$('.networkmsg').text(data).fadeOut(1000);
		    },
		    error: function(data){
		        //if fails
		        console.log('Network Connection not available');
		        $('.networkmsg').fadeIn().text('Network Connection not available');
		    }
		});
	}

	function setCookie(cname,cvalue,exdays) {
	    var d = new Date();
	    d.setTime(d.getTime() + (exdays*24*60*60*1000));
	    var expires = "expires=" + d.toGMTString();
	    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}

	function getCookie(cname) {
	    var name = cname + "=";
	    var ca = document.cookie.split(';');
	    for(var i = 0; i < ca.length; i++) {
	        var c = ca[i];
	        while (c.charAt(0) == ' ') {
	            c = c.substring(1);
	        }
	        if (c.indexOf(name) == 0) {
	            return c.substring(name.length, c.length);
	        }
	    }
	    return "";
	}

	function checkCookie() {
	    var user=getCookie("email");
	    if(user == '' || user == 'null'){
	    	setCookie("email", 'null', 1000);
	    }
	    else if (user != "" && user != 'null') {
	        location.href = "menu.html";
	    }
	}

	function form_ajax_login(){
		var data_login = {
		        email : $('#email').val(),
		        password : $('#password').val()
		    };
		formData_json = JSON.stringify(data_login);
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_service_login.php',
		    data        : { 'logindata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				// console.log(data);
				// alert(data);
				if(data == 'Login Successfull'){
					// console.log(data);
					setCookie("email", $('#email').val(), 1000);
					location.href = "menu.html";
					$('.loadingsector').fadeOut();
				}
				else{
					$('.validation_msg').addClass('red_bg').text(data).fadeIn();
					$('.loadingsector').fadeOut();
				}
		    },
		    error: function(data){
		        $('.validation_msg').addClass('red_bg').text('Unable to login. Please try again Later!').fadeIn();
		    }
		});
	}

	$('.loader').fadeOut(2000);

	setInterval(checkNetwork,5000);

	var quesry_string = getParameterByName('msg');
	if(quesry_string == 'reg_success'){
		$('.validation_msg').addClass('green_bg').text('Registered Successfully, Please Activate your account from link sent to your email');
	}
	else if(quesry_string == 'act_success'){
		$('.validation_msg').addClass('green_bg').text('Successfull Activated. Login Here');
	}
	else if(quesry_string == 'fgt_success'){
		$('.validation_msg').addClass('green_bg').text('Password Reset');
	}
	else if(quesry_string == 'act_error'){
		$('.validation_msg').addClass('red_bg').text('Error in Activating account. Try again!');
	}
	else{}

	$('.login-form').fadeIn(0);

	$('#submit_login').click(function(event){
		event.preventDefault();
		$('.loadingsector').fadeIn();
		form_ajax_login();
	});

	checkCookie();
});