$(document).ready(function(){

	var logged_email;

	function checkNetwork(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/network_connection.php',
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				$('.networkmsg').text(data).fadeOut(1000);
		    },
		    error: function(data){
		        //if fails
		        console.log('Network Connection not available');
		        $('.networkmsg').fadeIn().text('Network Connection not available');
		    }
		});
	}

	function destroyCookie(){
		setCookie("email", 'null', 1000);
		location.href = "index.html";
	}

	function setCookie(cname,cvalue,exdays) {
	    var d = new Date();
	    d.setTime(d.getTime() + (exdays*24*60*60*1000));
	    var expires = "expires=" + d.toGMTString();
	    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}

	function getCookie(cname) {
	    var name = cname + "=";
	    var ca = document.cookie.split(';');
	    for(var i = 0; i < ca.length; i++) {
	        var c = ca[i];
	        while (c.charAt(0) == ' ') {
	            c = c.substring(1);
	        }
	        if (c.indexOf(name) == 0) {
	            return c.substring(name.length, c.length);
	        }
	    }
	    return "";
	}

	function checkCookie() {
	    var user=getCookie("email");
	    if(user == '' || user == 'null'){
	    	setCookie("email", 'null', 1000);
	    	location.href = "index.html";
	    }
	    else if (user != "" && user != 'null') {
	        logged_email = getCookie("email");
	    }
	}

	setInterval(checkNetwork,5000);

	checkCookie();

	$('.loader').fadeOut(2000);

	$('.no-form').fadeIn(2000);

	$('.logout').click(function(){
		destroyCookie();
	});

	//Check to see if the window is top if not then display button
	$(window).scroll(function(){
		if ($(this).scrollTop() > 650) {
			$('.scrollToTop').fadeIn();
		} else {
			$('.scrollToTop').fadeOut();
		}
	});
	
	//Click event to scroll to top
	$('.scrollToTop').click(function(){
		$('html, body').animate({scrollTop : 0},800);
		return false;
	});

});