$(document).ready(function(){

	function validateEmail(email) {
		var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
		return re.test(email);
	}

	function checkNetwork(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/network_connection.php',
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				$('.networkmsg').text(data).fadeOut(1000);
		    },
		    error: function(data){
		        //if fails
		        console.log('Network Connection not available');
		        $('.networkmsg').fadeIn().text('Network Connection not available');
		    }
		});
	}

	function validate(){
		validate_flag = 1;
		$( "form.form-register input" ).each(function( index ) {
			console.log($(this).attr('name'));
			if($(this).attr('type') == 'text' && $(this).attr('name') == 'name'){
				if($(this).val() != '' && $(this).val() != null){
					validate_flag = 0;
				}
				else{
					// $('.validation_error').text('Please fill Name.').fadeIn().fadeOut(2000);
					$(this).addClass('inp_error');
					validate_flag = 1;
					return false;
				}
			}
			else if($(this).attr('type') == 'email' && $(this).attr('name') == 'email'){
				if($(this).val() != '' && $(this).val() != null && validateEmail( $(this).val() ) == true ){
					validate_flag = 0;
				}
				else{
					// $('.validation_error').text('Please fill Email properly.').fadeIn().fadeOut(2000);
					$(this).addClass('inp_error');
					validate_flag = 1;
					return false;
				}
			}
			else if($(this).attr('type') == 'password' && ( $(this).attr('name') == 'password' || $(this).attr('name') == 'con-password' ) ){
				if( ($('#password').val() != '' && $('#password').val() != null) && ($('#con-password').val() != '' && $('#con-password').val() != null) && $('#password').val() == $('#con-password').val() ){
					validate_flag = 0;
				}
				else{
					// $('.validation_error').text('Please Check password').fadeIn().fadeOut(2000);
					$('#password').addClass('inp_error');
					$('#con-password').addClass('inp_error');
					validate_flag = 1;
					return false;
				}
			}
		});
		if(validate_flag == 1){
			return false;
		}
		else{
			return true;
		}
	}

	function validate_password(){
		console.log($('#password').val() + " / " + $('#con-password').val());
		if( ($('#password').val() != '' && $('#con-password').val() != '') && $('#password').val() == $('#con-password').val() ){
			$('#password, #con-password').removeClass('inp_error');
			console.log('Hello');
		}
		else{
			$('#password, #con-password').addClass('inp_error');
		}
	}

	function form_ajax_login(){
		var validated = validate();
		console.log(validated);
		if(validated == true){
			var data_login = {
			        email : $('#email').val(),
			        name : $('#name').val(),
			        password : $('#password').val()
			    };
			formData_json = JSON.stringify(data_login);
			$.ajax({
			    type        : 'POST',
			    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_service_register.php',
			    data        : { 'logindata' : formData_json},
			    dataType    : 'text',
			    // encode   : true
				success:function(data){
					console.log(data);
					if(data == 'Activation Mail has been sent to your mail.'){
						// $('.validation_error').text(data + 'Activate and Login').fadeIn().fadeOut(2000);
						$('.loadingsector').fadeOut();
						location.href = "index.html?msg=reg_success";
					}
					else if(data == 'Unable to register. Please try again!'){
						$('.validation_msg').addClass('red_bg').text(data).fadeIn();
						$('.loadingsector').fadeOut();
					}
			    },
			    error: function(data){
			        $('.validation_msg').addClass('red_bg').text('Unable to Register. Please try again Later!').fadeIn();
			        $('.loadingsector').fadeOut();
			    }
			});
		}
		else{
			$('.loadingsector').fadeOut();
		}
	}


	function setCookie(cname,cvalue,exdays) {
	    var d = new Date();
	    d.setTime(d.getTime() + (exdays*24*60*60*1000));
	    var expires = "expires=" + d.toGMTString();
	    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}

	function getCookie(cname) {
	    var name = cname + "=";
	    var ca = document.cookie.split(';');
	    for(var i = 0; i < ca.length; i++) {
	        var c = ca[i];
	        while (c.charAt(0) == ' ') {
	            c = c.substring(1);
	        }
	        if (c.indexOf(name) == 0) {
	            return c.substring(name.length, c.length);
	        }
	    }
	    return "";
	}

	function checkCookie() {
	    var user=getCookie("email");
	    if(user == '' || user == 'null'){
	    	setCookie("email", 'null', 1000);
	    }
	    else if (user != "" && user != 'null') {
	        location.href = "menu.html";
	    }
	}

	setInterval(checkNetwork,5000);

	checkCookie();

	$('.loader').fadeOut(2000);

	$('.register-form').fadeIn(0);

	$('#submit_register').click(function(){
		event.preventDefault();
		$('.loadingsector').fadeIn();
		form_ajax_login();
	});

	$('#con-password').keyup(function(){
		validate_password();
	});
})